VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL RESET
        SIGNAL hs
        SIGNAL vs
        SIGNAL XLXN_44
        SIGNAL CLOCK
        SIGNAL XLXN_82(3:0)
        SIGNAL XLXN_83(3:0)
        SIGNAL XLXN_84(3:0)
        SIGNAL XLXN_85(3:0)
        SIGNAL XLXN_86(3:0)
        SIGNAL XLXN_87(3:0)
        SIGNAL XLXN_88(3:0)
        SIGNAL XLXN_89(3:0)
        SIGNAL XLXN_90(3:0)
        SIGNAL SEC_CLR
        SIGNAL MIN_INC
        SIGNAL HOUR_INC
        SIGNAL RST
        SIGNAL dot_out(2:0)
        PORT Output hs
        PORT Output vs
        PORT Input CLOCK
        PORT Input SEC_CLR
        PORT Input MIN_INC
        PORT Input HOUR_INC
        PORT Input RST
        PORT Output dot_out(2:0)
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF count
            TIMESTAMP 2009 8 9 3 52 36
            RECTANGLE N 64 -576 320 0 
            LINE N 64 -544 0 -544 
            LINE N 64 -416 0 -416 
            LINE N 64 -288 0 -288 
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -556 384 -532 
            LINE N 320 -544 384 -544 
            RECTANGLE N 320 -492 384 -468 
            LINE N 320 -480 384 -480 
            RECTANGLE N 320 -428 384 -404 
            LINE N 320 -416 384 -416 
            RECTANGLE N 320 -364 384 -340 
            LINE N 320 -352 384 -352 
            RECTANGLE N 320 -300 384 -276 
            LINE N 320 -288 384 -288 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF v_sync
            TIMESTAMP 2009 8 10 3 34 12
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF h_sync
            TIMESTAMP 2009 8 10 3 34 12
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF dot
            TIMESTAMP 2009 8 10 5 57 56
            RECTANGLE N 64 -768 320 0 
            LINE N 64 -736 0 -736 
            LINE N 64 -672 0 -672 
            LINE N 64 -608 0 -608 
            RECTANGLE N 0 -556 64 -532 
            LINE N 64 -544 0 -544 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -480 0 -480 
            RECTANGLE N 0 -428 64 -404 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -364 64 -340 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -748 384 -724 
            LINE N 320 -736 384 -736 
        END BLOCKDEF
        BEGIN BLOCKDEF dll
            TIMESTAMP 2009 8 10 6 14 46
            RECTANGLE N 64 -256 416 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            LINE N 416 -224 480 -224 
            LINE N 416 -160 480 -160 
            LINE N 416 -96 480 -96 
            LINE N 416 -32 480 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_43 gnd
            PIN G RESET
        END BLOCK
        BEGIN BLOCK XLXI_47 count
            PIN clk XLXN_44
            PIN rst RST
            PIN sec_clr SEC_CLR
            PIN min_inc MIN_INC
            PIN hour_inc HOUR_INC
            PIN hour10(3:0) XLXN_82(3:0)
            PIN hour1(3:0) XLXN_83(3:0)
            PIN min10(3:0) XLXN_84(3:0)
            PIN min1(3:0) XLXN_85(3:0)
            PIN sec10(3:0) XLXN_86(3:0)
            PIN sec1(3:0) XLXN_87(3:0)
            PIN msec100(3:0) XLXN_88(3:0)
            PIN msec10(3:0) XLXN_89(3:0)
            PIN msec1(3:0) XLXN_90(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_48 v_sync
            PIN clk hs
            PIN s_out vs
        END BLOCK
        BEGIN BLOCK XLXI_49 h_sync
            PIN clk XLXN_44
            PIN s_out hs
        END BLOCK
        BEGIN BLOCK XLXI_50 dot
            PIN clk XLXN_44
            PIN hs hs
            PIN vs vs
            PIN h10(3:0) XLXN_82(3:0)
            PIN h1(3:0) XLXN_83(3:0)
            PIN m10(3:0) XLXN_84(3:0)
            PIN m1(3:0) XLXN_85(3:0)
            PIN s10(3:0) XLXN_86(3:0)
            PIN s1(3:0) XLXN_87(3:0)
            PIN ms100(3:0) XLXN_88(3:0)
            PIN ms10(3:0) XLXN_89(3:0)
            PIN ms1(3:0) XLXN_90(3:0)
            PIN d_out(2:0) dot_out(2:0)
        END BLOCK
        BEGIN BLOCK XLXI_51 dll
            PIN RST_IN RESET
            PIN CLKIN_IN CLOCK
            PIN LOCKED_OUT
            PIN CLKDV_OUT XLXN_44
            PIN CLKIN_IBUFG_OUT
            PIN CLK0_OUT
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH RESET
            WIRE 352 496 352 528
            WIRE 352 496 512 496
        END BRANCH
        BEGIN BRANCH hs
            WIRE 1696 224 1824 224
            WIRE 1824 224 1824 448
            WIRE 1824 448 2768 448
            WIRE 1824 224 2048 224
            WIRE 1824 128 1824 224
            WIRE 1824 128 1952 128
        END BRANCH
        BEGIN BRANCH vs
            WIRE 2432 224 2448 224
            WIRE 2448 224 2496 224
            WIRE 2448 224 2448 512
            WIRE 2448 512 2768 512
        END BRANCH
        BEGIN BRANCH XLXN_44
            WIRE 992 560 1088 560
            WIRE 1088 560 1088 752
            WIRE 1088 752 1152 752
            WIRE 1088 560 2592 560
            WIRE 1088 224 1312 224
            WIRE 1088 224 1088 560
            WIRE 2592 384 2768 384
            WIRE 2592 384 2592 560
        END BRANCH
        IOMARKER 1952 128 hs R0 28
        IOMARKER 2496 224 vs R0 28
        BEGIN BRANCH CLOCK
            WIRE 384 688 512 688
        END BRANCH
        IOMARKER 384 688 CLOCK R180 28
        INSTANCE XLXI_43 288 656 R0
        BEGIN BRANCH XLXN_82(3:0)
            WIRE 1536 752 2144 752
            WIRE 2144 576 2144 752
            WIRE 2144 576 2768 576
        END BRANCH
        BEGIN BRANCH XLXN_83(3:0)
            WIRE 1536 816 2160 816
            WIRE 2160 640 2160 816
            WIRE 2160 640 2768 640
        END BRANCH
        BEGIN BRANCH XLXN_84(3:0)
            WIRE 1536 880 2176 880
            WIRE 2176 704 2176 880
            WIRE 2176 704 2768 704
        END BRANCH
        BEGIN BRANCH XLXN_85(3:0)
            WIRE 1536 944 2192 944
            WIRE 2192 768 2192 944
            WIRE 2192 768 2768 768
        END BRANCH
        BEGIN BRANCH XLXN_86(3:0)
            WIRE 1536 1008 2208 1008
            WIRE 2208 832 2208 1008
            WIRE 2208 832 2768 832
        END BRANCH
        BEGIN BRANCH XLXN_87(3:0)
            WIRE 1536 1072 2224 1072
            WIRE 2224 896 2224 1072
            WIRE 2224 896 2768 896
        END BRANCH
        BEGIN BRANCH XLXN_88(3:0)
            WIRE 1536 1136 2240 1136
            WIRE 2240 960 2240 1136
            WIRE 2240 960 2768 960
        END BRANCH
        BEGIN BRANCH XLXN_89(3:0)
            WIRE 1536 1200 2144 1200
            WIRE 2144 1024 2144 1200
            WIRE 2144 1024 2768 1024
        END BRANCH
        BEGIN BRANCH XLXN_90(3:0)
            WIRE 1536 1264 2128 1264
            WIRE 2128 1088 2128 1264
            WIRE 2128 1088 2768 1088
        END BRANCH
        BEGIN INSTANCE XLXI_47 1152 1296 R0
        END INSTANCE
        BEGIN BRANCH SEC_CLR
            WIRE 1120 1008 1152 1008
        END BRANCH
        IOMARKER 1120 1008 SEC_CLR R180 28
        BEGIN BRANCH MIN_INC
            WIRE 1120 1136 1152 1136
        END BRANCH
        IOMARKER 1120 1136 MIN_INC R180 28
        BEGIN BRANCH HOUR_INC
            WIRE 1120 1264 1152 1264
        END BRANCH
        IOMARKER 1120 1264 HOUR_INC R180 28
        IOMARKER 1120 880 RST R180 28
        BEGIN BRANCH RST
            WIRE 1120 880 1152 880
        END BRANCH
        BEGIN INSTANCE XLXI_48 2048 256 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_49 1312 256 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_50 2768 1120 R0
        END INSTANCE
        BEGIN BRANCH dot_out(2:0)
            WIRE 3152 384 3184 384
        END BRANCH
        IOMARKER 3184 384 dot_out(2:0) R0 28
        BEGIN INSTANCE XLXI_51 512 720 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
