VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL hs
        SIGNAL vs
        SIGNAL CHECK
        SIGNAL dot_out(2:0)
        SIGNAL CLOCK
        SIGNAL XLXN_46
        SIGNAL BUTTON_UP
        SIGNAL BUTTON_DOWN
        SIGNAL BUTTON_CLR
        PORT Output hs
        PORT Output vs
        PORT Output dot_out(2:0)
        PORT Input CLOCK
        PORT Input BUTTON_UP
        PORT Input BUTTON_DOWN
        PORT Input BUTTON_CLR
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF dll
            TIMESTAMP 2009 3 26 9 54 40
            RECTANGLE N 64 -256 416 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            LINE N 416 -224 480 -224 
            LINE N 416 -160 480 -160 
            LINE N 416 -96 480 -96 
            LINE N 416 -32 480 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF h_sync
            TIMESTAMP 2009 7 19 6 40 10
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF v_sync
            TIMESTAMP 2009 7 19 6 40 4
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF dot
            TIMESTAMP 2009 8 10 7 16 36
            RECTANGLE N 64 -384 320 0 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -364 384 -340 
            LINE N 320 -352 384 -352 
        END BLOCKDEF
        BEGIN BLOCK XLXI_23 h_sync
            PIN clk CHECK
            PIN s_out hs
        END BLOCK
        BEGIN BLOCK XLXI_24 v_sync
            PIN clk hs
            PIN s_out vs
        END BLOCK
        BEGIN BLOCK XLXI_21 gnd
            PIN G XLXN_46
        END BLOCK
        BEGIN BLOCK XLXI_22 dll
            PIN RST_IN XLXN_46
            PIN CLKIN_IN CLOCK
            PIN LOCKED_OUT
            PIN CLKFX_OUT CHECK
            PIN CLKIN_IBUFG_OUT
            PIN CLK0_OUT
        END BLOCK
        BEGIN BLOCK XLXI_25 dot
            PIN clk CHECK
            PIN hs hs
            PIN vs vs
            PIN sw_clr BUTTON_CLR
            PIN sw_up BUTTON_UP
            PIN sw_down BUTTON_DOWN
            PIN d_out(2:0) dot_out(2:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH hs
            WIRE 1536 224 1664 224
            WIRE 1664 224 1888 224
            WIRE 1664 224 1664 400
            WIRE 1664 400 2640 400
            WIRE 1664 128 1664 224
            WIRE 1664 128 1792 128
        END BRANCH
        BEGIN BRANCH vs
            WIRE 2272 224 2288 224
            WIRE 2288 224 2336 224
            WIRE 2288 224 2288 464
            WIRE 2288 464 2640 464
        END BRANCH
        IOMARKER 1792 128 hs R0 28
        IOMARKER 2336 224 vs R0 28
        BEGIN BRANCH CHECK
            WIRE 768 336 928 336
            WIRE 928 336 2640 336
            WIRE 928 224 1152 224
            WIRE 928 224 928 336
        END BRANCH
        BEGIN INSTANCE XLXI_23 1152 256 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_24 1888 256 R0
        END INSTANCE
        BEGIN BRANCH dot_out(2:0)
            WIRE 3024 336 3056 336
        END BRANCH
        IOMARKER 3056 336 dot_out(2:0) R0 28
        BEGIN BRANCH CLOCK
            WIRE 256 464 288 464
        END BRANCH
        BEGIN BRANCH XLXN_46
            WIRE 128 272 128 288
            WIRE 128 272 288 272
        END BRANCH
        INSTANCE XLXI_21 64 416 R0
        BEGIN INSTANCE XLXI_22 288 496 R0
        END INSTANCE
        IOMARKER 256 464 CLOCK R180 28
        BEGIN BRANCH BUTTON_UP
            WIRE 2608 592 2640 592
        END BRANCH
        IOMARKER 2608 592 BUTTON_UP R180 28
        BEGIN BRANCH BUTTON_DOWN
            WIRE 2608 656 2640 656
        END BRANCH
        IOMARKER 2608 656 BUTTON_DOWN R180 28
        BEGIN INSTANCE XLXI_25 2640 688 R0
        END INSTANCE
        BEGIN BRANCH BUTTON_CLR
            WIRE 2608 528 2640 528
        END BRANCH
        IOMARKER 2608 528 BUTTON_CLR R180 28
    END SHEET
END SCHEMATIC
