VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL cpu_clk
        SIGNAL XLXN_109(17:0)
        SIGNAL cpu_rst
        SIGNAL uart_rx_data
        SIGNAL XLXN_113
        SIGNAL XLXN_118
        SIGNAL XLXN_119(7:0)
        SIGNAL XLXN_120(7:0)
        SIGNAL XLXN_124
        SIGNAL XLXN_198(9:0)
        SIGNAL uart_tx_data
        SIGNAL XLXN_210
        SIGNAL XLXN_212
        SIGNAL XLXN_213
        SIGNAL XLXN_214(7:0)
        SIGNAL XLXN_215(7:0)
        SIGNAL XLXN_216(7:0)
        SIGNAL XLXN_217
        SIGNAL XLXN_218(7:0)
        SIGNAL XLXN_222(7:0)
        SIGNAL PORTA_out(7:0)
        SIGNAL PORTB_out(7:0)
        SIGNAL PORTC_out(7:0)
        SIGNAL XLXN_226(7:0)
        PORT Input cpu_clk
        PORT Input cpu_rst
        PORT Input uart_rx_data
        PORT Output uart_tx_data
        PORT Output PORTA_out(7:0)
        PORT Output PORTB_out(7:0)
        PORT Output PORTC_out(7:0)
        BEGIN BLOCKDEF kcpsm3
            TIMESTAMP 2008 9 25 12 35 28
            RECTANGLE N 64 -384 384 0 
            LINE N 64 -352 0 -352 
            LINE N 64 -272 0 -272 
            LINE N 64 -192 0 -192 
            RECTANGLE N 0 -124 64 -100 
            LINE N 64 -112 0 -112 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 384 -352 448 -352 
            LINE N 384 -288 448 -288 
            LINE N 384 -224 448 -224 
            RECTANGLE N 384 -172 448 -148 
            LINE N 384 -160 448 -160 
            RECTANGLE N 384 -108 448 -84 
            LINE N 384 -96 448 -96 
            RECTANGLE N 384 -44 448 -20 
            LINE N 384 -32 448 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF pico
            TIMESTAMP 2008 9 25 12 35 28
            RECTANGLE N 64 -128 384 0 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 384 -108 448 -84 
            LINE N 384 -96 448 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF uart_rx
            TIMESTAMP 2008 9 25 12 35 28
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -224 384 -224 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF spbm
            TIMESTAMP 2008 12 19 12 35 2
            RECTANGLE N 32 0 320 272 
            BEGIN LINE W 0 48 32 48 
            END LINE
            BEGIN LINE W 0 80 32 80 
            END LINE
            LINE N 0 112 32 112 
            LINE N 0 240 32 240 
            BEGIN LINE W 320 48 352 48 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF uart_tx
            TIMESTAMP 2009 6 27 4 20 4
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF adr_dec
            TIMESTAMP 2009 6 27 7 26 32
            RECTANGLE N 64 -896 416 0 
            LINE N 64 -864 0 -864 
            LINE N 64 -800 0 -800 
            LINE N 64 -736 0 -736 
            LINE N 64 -672 0 -672 
            RECTANGLE N 0 -620 64 -596 
            LINE N 64 -608 0 -608 
            RECTANGLE N 0 -556 64 -532 
            LINE N 64 -544 0 -544 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -480 0 -480 
            RECTANGLE N 0 -428 64 -404 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -364 64 -340 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 416 -864 480 -864 
            LINE N 416 -800 480 -800 
            RECTANGLE N 416 -748 480 -724 
            LINE N 416 -736 480 -736 
            RECTANGLE N 416 -684 480 -660 
            LINE N 416 -672 480 -672 
            RECTANGLE N 416 -620 480 -596 
            LINE N 416 -608 480 -608 
            RECTANGLE N 416 -556 480 -532 
            LINE N 416 -544 480 -544 
            RECTANGLE N 416 -492 480 -468 
            LINE N 416 -480 480 -480 
            RECTANGLE N 416 -428 480 -404 
            LINE N 416 -416 480 -416 
            RECTANGLE N 416 -364 480 -340 
            LINE N 416 -352 480 -352 
            RECTANGLE N 416 -300 480 -276 
            LINE N 416 -288 480 -288 
            RECTANGLE N 416 -236 480 -212 
            LINE N 416 -224 480 -224 
            RECTANGLE N 416 -172 480 -148 
            LINE N 416 -160 480 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_8 spbm
            PIN addr(7:0) XLXN_120(7:0)
            PIN din(7:0) XLXN_119(7:0)
            PIN we XLXN_118
            PIN clk cpu_clk
            PIN dout(7:0) XLXN_218(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_11 pico
            PIN clk cpu_clk
            PIN address(9:0) XLXN_198(9:0)
            PIN instruction(17:0) XLXN_109(17:0)
        END BLOCK
        BEGIN BLOCK XLXI_1 kcpsm3
            PIN interrupt XLXN_113
            PIN reset cpu_rst
            PIN clk cpu_clk
            PIN instruction(17:0) XLXN_109(17:0)
            PIN in_port(7:0) XLXN_216(7:0)
            PIN write_strobe XLXN_212
            PIN read_strobe XLXN_213
            PIN interrupt_ack XLXN_124
            PIN address(9:0) XLXN_198(9:0)
            PIN port_id(7:0) XLXN_214(7:0)
            PIN out_port(7:0) XLXN_215(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_4 uart_rx
            PIN rst cpu_rst
            PIN clk cpu_clk
            PIN rx uart_rx_data
            PIN ack_in XLXN_124
            PIN int_out XLXN_113
            PIN d_out(7:0) XLXN_226(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_12 uart_tx
            PIN clk cpu_clk
            PIN req XLXN_210
            PIN data_in(7:0) XLXN_222(7:0)
            PIN data_out uart_tx_data
            PIN busy XLXN_217
        END BLOCK
        BEGIN BLOCK XLXI_13 adr_dec
            PIN clk cpu_clk
            PIN pico_ws XLXN_212
            PIN pico_rs XLXN_213
            PIN uart_tx_busy XLXN_217
            PIN pico_a(7:0) XLXN_214(7:0)
            PIN pico_d_in(7:0) XLXN_215(7:0)
            PIN bram_din(7:0) XLXN_218(7:0)
            PIN uart_rx_d(7:0) XLXN_226(7:0)
            PIN portA_in(7:0)
            PIN portB_in(7:0)
            PIN portC_in(7:0)
            PIN portD_in(7:0)
            PIN portE_in(7:0)
            PIN portF_in(7:0)
            PIN bram_we XLXN_118
            PIN uart_tx_req XLXN_210
            PIN pico_d_out(7:0) XLXN_216(7:0)
            PIN bram_dout(7:0) XLXN_119(7:0)
            PIN bram_adr(7:0) XLXN_120(7:0)
            PIN uart_tx_d(7:0) XLXN_222(7:0)
            PIN portA_out(7:0) PORTA_out(7:0)
            PIN portB_out(7:0) PORTB_out(7:0)
            PIN portC_out(7:0) PORTC_out(7:0)
            PIN portD_out(7:0)
            PIN portE_out(7:0)
            PIN portF_out(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH XLXN_109(17:0)
            WIRE 864 784 1120 784
        END BRANCH
        BEGIN INSTANCE XLXI_1 1120 896 R0
        END INSTANCE
        BEGIN BRANCH cpu_rst
            WIRE 160 624 288 624
            WIRE 288 624 1120 624
            WIRE 288 624 288 1280
            WIRE 288 1280 304 1280
        END BRANCH
        BEGIN INSTANCE XLXI_4 304 1504 R0
        END INSTANCE
        BEGIN BRANCH uart_rx_data
            WIRE 272 1408 304 1408
        END BRANCH
        IOMARKER 272 1408 uart_rx_data R180 28
        BEGIN BRANCH XLXN_113
            WIRE 688 1280 896 1280
            WIRE 896 544 896 1280
            WIRE 896 544 1120 544
        END BRANCH
        BEGIN BRANCH XLXN_119(7:0)
            WIRE 2464 640 2752 640
            WIRE 2752 416 2752 640
            WIRE 2752 416 3072 416
        END BRANCH
        BEGIN BRANCH XLXN_124
            WIRE 240 1472 304 1472
            WIRE 240 1472 240 1568
            WIRE 240 1568 1872 1568
            WIRE 1568 672 1872 672
            WIRE 1872 672 1872 1568
        END BRANCH
        IOMARKER 160 624 cpu_rst R180 28
        BEGIN INSTANCE XLXI_11 416 880 R0
        END INSTANCE
        BEGIN BRANCH XLXN_120(7:0)
            WIRE 2464 704 2768 704
            WIRE 2768 384 2768 704
            WIRE 2768 384 3072 384
        END BRANCH
        IOMARKER 160 784 cpu_clk R180 28
        BEGIN BRANCH cpu_clk
            WIRE 160 784 224 784
            WIRE 224 784 416 784
            WIRE 224 784 224 1120
            WIRE 224 1120 224 1344
            WIRE 224 1344 304 1344
            WIRE 224 1120 1040 1120
            WIRE 224 400 224 448
            WIRE 224 448 224 704
            WIRE 224 704 1120 704
            WIRE 224 704 224 784
            WIRE 224 448 1984 448
            WIRE 224 400 2592 400
            WIRE 2592 400 2592 576
            WIRE 2592 576 3072 576
        END BRANCH
        BEGIN BRANCH XLXN_198(9:0)
            WIRE 352 848 416 848
            WIRE 352 848 352 960
            WIRE 352 960 1648 960
            WIRE 1568 736 1648 736
            WIRE 1648 736 1648 960
        END BRANCH
        BEGIN BRANCH uart_tx_data
            WIRE 1424 1120 1472 1120
        END BRANCH
        BEGIN INSTANCE XLXI_12 1040 1280 R0
        END INSTANCE
        IOMARKER 1472 1120 uart_tx_data R0 28
        BEGIN BRANCH XLXN_210
            WIRE 960 336 960 1184
            WIRE 960 1184 1040 1184
            WIRE 960 336 2528 336
            WIRE 2528 336 2528 512
            WIRE 2464 512 2528 512
        END BRANCH
        BEGIN INSTANCE XLXI_13 1984 1312 R0
        END INSTANCE
        BEGIN BRANCH XLXN_212
            WIRE 1568 544 1776 544
            WIRE 1776 512 1776 544
            WIRE 1776 512 1984 512
        END BRANCH
        BEGIN BRANCH XLXN_213
            WIRE 1568 608 1776 608
            WIRE 1776 576 1776 608
            WIRE 1776 576 1984 576
        END BRANCH
        BEGIN BRANCH XLXN_214(7:0)
            WIRE 1568 800 1776 800
            WIRE 1776 704 1776 800
            WIRE 1776 704 1984 704
        END BRANCH
        BEGIN BRANCH XLXN_215(7:0)
            WIRE 1568 864 1792 864
            WIRE 1792 768 1792 864
            WIRE 1792 768 1984 768
        END BRANCH
        BEGIN BRANCH XLXN_216(7:0)
            WIRE 1040 352 1040 864
            WIRE 1040 864 1120 864
            WIRE 1040 352 2512 352
            WIRE 2512 352 2512 576
            WIRE 2464 576 2512 576
        END BRANCH
        BEGIN BRANCH XLXN_217
            WIRE 1424 1248 1696 1248
            WIRE 1696 640 1696 1248
            WIRE 1696 640 1984 640
        END BRANCH
        BEGIN BRANCH XLXN_218(7:0)
            WIRE 1968 272 1968 832
            WIRE 1968 832 1984 832
            WIRE 1968 272 3504 272
            WIRE 3504 272 3504 384
            WIRE 3424 384 3504 384
        END BRANCH
        BEGIN BRANCH XLXN_118
            WIRE 2464 448 3072 448
        END BRANCH
        BEGIN INSTANCE XLXI_8 3072 336 R0
        END INSTANCE
        BEGIN BRANCH XLXN_222(7:0)
            WIRE 976 368 976 1248
            WIRE 976 1248 1040 1248
            WIRE 976 368 2496 368
            WIRE 2496 368 2496 768
            WIRE 2464 768 2496 768
        END BRANCH
        BEGIN BRANCH PORTA_out(7:0)
            WIRE 2464 832 2496 832
        END BRANCH
        IOMARKER 2496 832 PORTA_out(7:0) R0 28
        BEGIN BRANCH PORTB_out(7:0)
            WIRE 2464 896 2496 896
        END BRANCH
        IOMARKER 2496 896 PORTB_out(7:0) R0 28
        BEGIN BRANCH PORTC_out(7:0)
            WIRE 2464 960 2496 960
        END BRANCH
        IOMARKER 2496 960 PORTC_out(7:0) R0 28
        BEGIN BRANCH XLXN_226(7:0)
            WIRE 688 1472 1776 1472
            WIRE 1776 896 1776 1472
            WIRE 1776 896 1984 896
        END BRANCH
    END SHEET
END SCHEMATIC
