`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: matuura mituhiro
// 
// Create Date:    18:57:34 06/30/2007 
// Design Name: 
// Module Name:    dot 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module dot(clk, hs, vs, d_out);
    input clk;
    input hs;
    input vs;
    output[2:0] d_out;

    reg[9:0] h_count;
    reg[9:0] v_count;
    reg[2:0] d_out;
	reg[2:0] tmp;
	reg[2:0] rgb;

    always @(negedge clk) begin
	    if (hs == 0) begin
            h_count <= 0;
        end
        else begin
            h_count <= h_count + 1;
        end
        tmp <= 0;
        if (h_count >= 32) begin
            if (h_count < 640 + 32) begin
                if (v_count >= 16) begin
                    if (v_count < 480 + 16) begin
                        tmp <= v_count[8:6];
                    end
                end
            end
		end
        d_out <= tmp;
    end

    always @(negedge hs) begin
        if (vs == 0) begin
            v_count <= 0;
        end
		else begin
            v_count <= v_count + 1;
        end
    end

endmodule
