`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: matuura mituhiro
// 
// Create Date:    11:28:35 07/19/2009 
// Design Name: 
// Module Name:    hex_disp 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module hex_disp(clk, x, y, px, py, hex, on);
    input clk;
    input [7:0] x;
    input [7:0] y;
    input [7:0] px;
    input [7:0] py;
    input [3:0] hex;
    output on;

	reg on;

	`define SEG_h 7
	`define SEG_g 6
	`define SEG_f 5
	`define SEG_e 4
	`define SEG_d 3
	`define SEG_c 2
	`define SEG_b 1
	`define SEG_a 0

	wire [7:0] sw;

	led7seg U_led7seg(.data_in (hex), .data_out (sw));

	reg [8:0] g;

	always @(posedge clk) begin
		g <= 0;

		if ((x >= px + 0) & (x <= px + 3)) begin
			if(y == py    ) g[0] <= sw[`SEG_a];
			if(y == py + 4) g[1] <= sw[`SEG_g];
			if(y == py + 8) g[2] <= sw[`SEG_d];
		end

		if ((y >= py) & (y <= py + 3)) begin
			if(x ==  px + 0) g[3] <= sw[`SEG_f];
			if(x ==  px + 3) g[4] <= sw[`SEG_b];
		end
		if ((y >= py + 4) & (y <= py + 8)) begin
			if(x ==  px + 0) g[5] <= sw[`SEG_e];
			if(x ==  px + 3) g[6] <= sw[`SEG_c];
		end

		if ((y == py + 8)) begin
			if(x ==  px + 4) g[7] <= sw[`SEG_h];
		end

		if(g)
			on <= 1;	//IuWFNgɊYW
		else
			on <= 0;	//IuWFNgɊYȂW

	end

endmodule
