VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL RESET
        SIGNAL hs
        SIGNAL vs
        SIGNAL dot_out(2:0)
        SIGNAL XLXN_152
        SIGNAL XLXN_80
        SIGNAL CLOCK
        SIGNAL UART_TX
        SIGNAL UART_RX
        SIGNAL XLXN_153
        SIGNAL XLXN_154
        SIGNAL XLXN_156(7:0)
        SIGNAL XLXN_158(7:0)
        SIGNAL XLXN_159(7:0)
        PORT Input RESET
        PORT Output hs
        PORT Output vs
        PORT Output dot_out(2:0)
        PORT Input CLOCK
        PORT Output UART_TX
        PORT Input UART_RX
        BEGIN BLOCKDEF dll
            TIMESTAMP 2009 3 30 12 55 4
            RECTANGLE N 64 -256 400 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            LINE N 400 -224 464 -224 
            LINE N 400 -160 464 -160 
            LINE N 400 -96 464 -96 
            LINE N 400 -32 464 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF cpu
            TIMESTAMP 2009 6 27 7 34 48
            RECTANGLE N 64 -256 416 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -128 0 -128 
            LINE N 64 -32 0 -32 
            LINE N 416 -224 480 -224 
            RECTANGLE N 416 -172 480 -148 
            LINE N 416 -160 480 -160 
            RECTANGLE N 416 -108 480 -84 
            LINE N 416 -96 480 -96 
            RECTANGLE N 416 -44 480 -20 
            LINE N 416 -32 480 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF h_sync
            TIMESTAMP 2009 8 10 6 6 10
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF v_sync
            TIMESTAMP 2009 8 10 6 6 10
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF dot
            TIMESTAMP 2009 8 11 12 32 6
            RECTANGLE N 64 -384 320 0 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -364 384 -340 
            LINE N 320 -352 384 -352 
        END BLOCKDEF
        BEGIN BLOCK XLXI_42 dll
            PIN RST_IN XLXN_80
            PIN CLKIN_IN CLOCK
            PIN LOCKED_OUT
            PIN CLKFX_OUT XLXN_152
            PIN CLKIN_IBUFG_OUT
            PIN CLK0_OUT
        END BLOCK
        BEGIN BLOCK XLXI_43 gnd
            PIN G XLXN_80
        END BLOCK
        BEGIN BLOCK XLXI_44 cpu
            PIN cpu_clk XLXN_152
            PIN cpu_rst RESET
            PIN uart_rx_data UART_RX
            PIN uart_tx_data UART_TX
            PIN PORTA_out(7:0) XLXN_158(7:0)
            PIN PORTB_out(7:0) XLXN_156(7:0)
            PIN PORTC_out(7:0) XLXN_159(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_48 h_sync
            PIN clk XLXN_152
            PIN s_out hs
        END BLOCK
        BEGIN BLOCK XLXI_49 v_sync
            PIN clk hs
            PIN s_out vs
        END BLOCK
        BEGIN BLOCK XLXI_50 dot
            PIN clk XLXN_152
            PIN hs hs
            PIN vs vs
            PIN hour(7:0) XLXN_159(7:0)
            PIN min(7:0) XLXN_156(7:0)
            PIN sec(7:0) XLXN_158(7:0)
            PIN d_out(2:0) dot_out(2:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH hs
            WIRE 1696 224 1824 224
            WIRE 1824 224 2048 224
            WIRE 1824 224 1824 624
            WIRE 1824 624 2864 624
            WIRE 1824 128 1824 224
            WIRE 1824 128 1952 128
        END BRANCH
        BEGIN BRANCH vs
            WIRE 2432 224 2448 224
            WIRE 2448 224 2496 224
            WIRE 2448 224 2448 688
            WIRE 2448 688 2864 688
        END BRANCH
        IOMARKER 1952 128 hs R0 28
        IOMARKER 2496 224 vs R0 28
        BEGIN BRANCH dot_out(2:0)
            WIRE 3248 560 3280 560
        END BRANCH
        IOMARKER 3280 560 dot_out(2:0) R0 28
        BEGIN BRANCH RESET
            WIRE 224 880 512 880
            WIRE 512 880 528 880
        END BRANCH
        BEGIN INSTANCE XLXI_42 384 384 R0
        END INSTANCE
        BEGIN BRANCH XLXN_80
            WIRE 224 160 224 192
            WIRE 224 160 384 160
        END BRANCH
        INSTANCE XLXI_43 160 320 R0
        BEGIN BRANCH CLOCK
            WIRE 256 352 384 352
        END BRANCH
        IOMARKER 256 352 CLOCK R180 28
        BEGIN INSTANCE XLXI_44 528 1008 R0
        END INSTANCE
        BEGIN BRANCH UART_TX
            WIRE 1008 784 1040 784
        END BRANCH
        BEGIN BRANCH UART_RX
            WIRE 240 976 512 976
            WIRE 512 976 528 976
        END BRANCH
        IOMARKER 1040 784 UART_TX R0 28
        BEGIN BRANCH XLXN_152
            WIRE 464 560 464 784
            WIRE 464 784 528 784
            WIRE 464 560 1088 560
            WIRE 1088 560 2864 560
            WIRE 848 224 1088 224
            WIRE 1088 224 1312 224
            WIRE 1088 224 1088 560
        END BRANCH
        IOMARKER 240 976 UART_RX R180 28
        BEGIN INSTANCE XLXI_48 1312 256 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_49 2048 256 R0
        END INSTANCE
        IOMARKER 224 880 RESET R180 28
        BEGIN INSTANCE XLXI_50 2864 912 R0
        END INSTANCE
        BEGIN BRANCH XLXN_156(7:0)
            WIRE 1008 912 1952 912
            WIRE 1952 816 1952 912
            WIRE 1952 816 2864 816
        END BRANCH
        BEGIN BRANCH XLXN_158(7:0)
            WIRE 1008 848 1936 848
            WIRE 1936 848 1936 880
            WIRE 1936 880 2864 880
        END BRANCH
        BEGIN BRANCH XLXN_159(7:0)
            WIRE 1008 976 1920 976
            WIRE 1920 752 1920 976
            WIRE 1920 752 2864 752
        END BRANCH
    END SHEET
END SCHEMATIC
