`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: matuura mituhiro
// 
// Create Date:    21:26:18 05/11/2008 
// Design Name: 
// Module Name:    uart_rx 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module uart_rx(rst, clk, rx, ack_in, int_out, d_out);
    input rst;
    input clk;
    input rx;
    input ack_in;
    output int_out;
    output [7:0] d_out;

	`define RST 1

	reg int_out;
	reg [7:0] d_out;

	reg int;
	reg [7:0] data;
	reg [15:0] count;

	parameter [15:0] CLOCK = 25000000 / 9600;

	always@(posedge clk) begin
		if(rst == `RST) begin
			count <= 0;
			int <= 0;
		end
		else begin
			case(count)
				0:begin
					if(rx == 0) begin
						count <= 1;
					end
				end
				((CLOCK / 2) + (CLOCK * 1) - 1):begin
					data <= (data >> 1);
					data[7] <= rx;
					count <= count + 1;
					int <= 0;
				end
				((CLOCK / 2) + (CLOCK * 2) - 1):begin
					data <= (data >> 1);
					data[7] <= rx;
					count <= count + 1;
					int <= 0;
				end
				((CLOCK / 2) + (CLOCK * 3) - 1):begin
					data <= (data >> 1);
					data[7] <= rx;
					count <= count + 1;
					int <= 0;
				end
				((CLOCK / 2) + (CLOCK * 4) - 1):begin
					data <= (data >> 1);
					data[7] <= rx;
					count <= count + 1;
					int <= 0;
				end
				((CLOCK / 2) + (CLOCK * 5) - 1):begin
					data <= (data >> 1);
					data[7] <= rx;
					count <= count + 1;
					int <= 0;
				end
				((CLOCK / 2) + (CLOCK * 6) - 1):begin
					data <= (data >> 1);
					data[7] <= rx;
					count <= count + 1;
					int <= 0;
				end
				((CLOCK / 2) + (CLOCK * 7) - 1):begin
					data <= (data >> 1);
					data[7] <= rx;
					count <= count + 1;
					int <= 0;
				end
				((CLOCK / 2) + (CLOCK * 8) - 1):begin
					data <= (data >> 1);
					data[7] <= rx;
					count <= count + 1;
					int <= 0;
				end
				((CLOCK / 2) + (CLOCK * 9) - 1):begin
					if(rx == 1) begin
						d_out <= data;
						int <= 1;
					end
					count <= 0;
				end
				default:begin
					count <= count + 1;
				end
			endcase
		end
	end

	always@(posedge int or posedge ack_in) begin
		if(ack_in == 1)int_out <= 0;
		else
		if(int == 1)int_out <= 1;
	end

endmodule
